Skip to content

List the customer activity leaderboard report

GET
/cms/analytics/customers
curl --request GET \
--url 'https://api.example.com/cms/analytics/customers?segment=0&platform=0&page=1&limit=50&sort=nb_actions&direction=asc&export=1' \
--header 'API-Key: <API-Key>'

Returns a paginated list of user activity, sorted by actions by default. Add export=1 to instead receive a CSV download.

date_from
string format: date
date_to
string format: date
segment
integer
0
platform
integer
0
clientId
integer

Restrict results to visitor/user IDs belonging to this client.

page
integer
default: 1
limit
integer
default: 50
sort
string
default: nb_actions
direction
string
default: desc
Allowed values: asc desc
export
string
Allowed values: 1

Set to 1 to receive a CSV download instead of JSON

Customer activity rows, or a CSV file if export=1

Invalid date range

Admin authorization required

Insufficient permissions